Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class CustomProperty

    java.lang.Object
      org.apache.poi.hpsf.Property
          org.apache.poi.hpsf.MutableProperty
              org.apache.poi.hpsf.CustomProperty

    public class CustomProperty

extends MutableProperty

This class represents custom properties in the document summary information stream. The difference to normal properties is that custom properties have an optional name. If the name is not `null` it will be maintained in the section's dictionary.

Author:
  Rainer Klute <klute@rainer-klute.de>

Field Summary

Fields inherited from class org.apache.poi.hpsf.Property
`id, type, value`

Constructor Summary
`CustomProperty()` Creates an empty `CustomProperty`.
`CustomProperty(Property property)` Creates a `CustomProperty` without a name by copying the underlying `Property`' attributes.
`CustomProperty(Property property, java.lang.String name)` Creates a `CustomProperty` with a name.

Method Summary
`boolean` | `equalsContents(java.lang.Object o)` Compares two custom properties for equality.
`java.lang.String` | `getName()` Gets the property's name.
`int` | `hashCode()`
`void` | `setName(java.lang.String name)` Sets the property's name.

Methods inherited from class org.apache.poi.hpsf.MutableProperty
`setID, setType, setValue, write`

Methods inherited from class org.apache.poi.hpsf.Property
`equals, getID, getSize, getType, getValue, readDictionary, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomProperty

    public CustomProperty()

  Creates an empty `CustomProperty`. The set methods must be called to make it usable.

### CustomProperty

    public CustomProperty(Property property)

  Creates a `CustomProperty` without a name by copying the underlying `Property`' attributes.

  Parameters:
    `property` - the property to copy

### CustomProperty

    public CustomProperty(Property property,
                          java.lang.String name)

  Creates a `CustomProperty` with a name.

  Parameters:
    `property` - This property's attributes are copied to the new custom property.
    `name` - The new custom property's name.

Method Detail

### getName

    public java.lang.String getName()

  Gets the property's name.

  Returns:
    the property's name.

### setName

    public void setName(java.lang.String name)

  Sets the property's name.

  Parameters:
    `name` - The name to set.

### equalsContents

    public boolean equalsContents(java.lang.Object o)

  Compares two custom properties for equality. The method returns `true` if all attributes of the two custom properties are equal.

  Parameters:
    `o` - The custom property to compare with.
  Returns:
    `true` if both custom properties are equal, else `false`.
  See Also:
    `AbstractSet.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Property`
  See Also:
    `AbstractSet.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.